<?php

/**
 * Test higher level functionality in object_nacoma_Model
 * Lower level tests are in oatest.php
 */
class InputTest extends PHPUnit_Framework_TestCase
{
	function setup()
	{
		$_REQUEST = array();
		// the input class isn't fed REQUEST, it relies on the
		// global values... soooo, we mock it out by altering the
		// global state everytime. Oh, unit testers around the
		// world, unite and celebrate with me!
	}

	/**
 	 * Connected with Ninja's configuration/configure-action
	 */
	function testConfigureServiceFromWrenchIconInNinja()
	{
		$_REQUEST = array(
			'type' => 'service',
			'host' => 'host-1',
			'service' => 'service-1-9'
		);
		$input = new input_nacoma_Model();
		$this->assertEquals($input->obj_id, 'host-1;service-1-9', "Could not detect obj id for service");
	}

	/**
 	 * Make sure that we don't break functionality after #7264
	 */
	function testEscapingWindowsServices()
	{
		$test_cases = array(
			// [[input, expected output], [input, expected output], ...]
			array(
				array('$MyServices$'),
				"'\$\$MyServices\$\$'"
			),
			array(
				array('$MyServices$', '$AnotherService$'),
				"'\$\$MyServices\$\$' '\$\$AnotherService\$\$'"
			)
		);

		foreach($test_cases as $test_case) {
			$this->assertEquals($test_case[1], input_nacoma_Model::services_to_cmd_args($test_case[0]), "Not expected output (seriously, why is this parameter required? shut up)");
		}

	}
}
